# Uses of Enum
org.apache.sling.testing.clients.osgi.Component.Status

Packages that use Component.Status
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.

## Uses of Component.Status in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that return Component.Status
Modifier and Type
Method
Description
`Component.Status`
ComponentInfo.`getStatus()`
`static Component.Status`
Component.Status.`value(String o)`
`static Component.Status`
Component.Status.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Component.Status[]`
Component.Status.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.